Xalan-Java: Class TreeWalker

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath.xml
Class TreeWalker

    java.lang.Object
      |
      +--org.apache.xalan.xpath.xml.TreeWalker

public class TreeWalker
extends java.lang.Object

**For advanced use only** This class does a pre-order walk of the DOM tree, calling the FormatterListener interface as it goes.

Constructor Summary
`TreeWalker(org.xml.sax.DocumentHandler formatterListener)` **For advanced use only** Constructor.

Method Summary
`org.xml.sax.DocumentHandler` | `getFormatterListener()` **For advanced use only** Get the DocumentHandler used for the tree walk.
`void` | `traverse(org.w3c.dom.Node pos)` **For advanced use only** Perform a pre-order traversal non-recursive style.
`void` | `traverse(org.w3c.dom.Node pos, org.w3c.dom.Node top)` **For advanced use only** Perform a pre-order traversal non-recursive style.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeWalker

    public TreeWalker(org.xml.sax.DocumentHandler formatterListener)

  **For advanced use only** Constructor.
  Parameters:
    `formatterListener` - The implemention of the FormatterListener operation (toXMLString, digest, ...)

Method Detail

### getFormatterListener

    public org.xml.sax.DocumentHandler getFormatterListener()

  **For advanced use only** Get the DocumentHandler used for the tree walk.

### traverse

    public void traverse(org.w3c.dom.Node pos)
                  throws org.xml.sax.SAXException

  **For advanced use only** Perform a pre-order traversal non-recursive style.

### traverse

    public void traverse(org.w3c.dom.Node pos,
                         org.w3c.dom.Node top)
                  throws org.xml.sax.SAXException

  **For advanced use only** Perform a pre-order traversal non-recursive style.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.